Index: trunk/SophyaPI/ProgPI/Makefile
===================================================================
--- trunk/SophyaPI/ProgPI/Makefile	(revision 3552)
+++ trunk/SophyaPI/ProgPI/Makefile	(revision 3572)
@@ -43,4 +43,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -85,17 +86,18 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)pieldrw.h \
@@ -124,5 +126,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -155,11 +156,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -177,12 +188,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -235,11 +238,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -257,12 +270,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -311,7 +316,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
-  $(SOPHYAINCP)ntupintf.h
+  $(SOPHYAINCP)sophyainit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
  
@@ -348,11 +351,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -370,12 +383,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -438,6 +443,6 @@
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -477,11 +482,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -499,12 +514,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -597,11 +604,21 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -619,12 +636,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: trunk/SophyaPI/ProgPI/makefile_wgrdl
===================================================================
--- trunk/SophyaPI/ProgPI/makefile_wgrdl	(revision 3552)
+++ trunk/SophyaPI/ProgPI/makefile_wgrdl	(revision 3572)
@@ -294,5 +294,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
Index: trunk/SophyaPI/ProgPI/piapp.cc
===================================================================
--- trunk/SophyaPI/ProgPI/piapp.cc	(revision 3552)
+++ trunk/SophyaPI/ProgPI/piapp.cc	(revision 3572)
@@ -13,6 +13,4 @@
 #include "timing.h"
 #include "skyinit.h"
-
-#include "xntuple.h" // Pour faire le SetTmpDir()
 
 
@@ -177,5 +175,5 @@
 }
 
-char* tmpde = getenv("TMPDIR");
+const char* tmpde = getenv("TMPDIR");
 char  tmpdname[32];
 if (tmpde == NULL) tmpde = "./";
@@ -198,7 +196,6 @@
 }
 
-cout << "  NamedObjMgr::SetTmpDir()+XNTuple::SetSwapPath() " << tmpdir << endl;
+cout << "  NamedObjMgr::SetTmpDir() " << tmpdir << endl;
 app->ObjMgr()->SetTmpDir(tmpdir);
-XNTuple::SetSwapPath(const_cast<char *>(tmpdir.c_str()));
 
 // Gestion de redirection stdout/err et Signaux
Index: trunk/SophyaPI/ProgPI/skymapmodule.cc
===================================================================
--- trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 3552)
+++ trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 3572)
@@ -1410,5 +1410,5 @@
  
  const int ndim = 8;
- char *nament[ndim] =
+ const char *nament[ndim] =
    {"l","n","clmean","cllin","clpar","sclmean","scllin","sclpar"};
  NTuple clbin(ndim,nament);
Index: trunk/SophyaPI/ProgPI/smakefile
===================================================================
--- trunk/SophyaPI/ProgPI/smakefile	(revision 3552)
+++ trunk/SophyaPI/ProgPI/smakefile	(revision 3572)
@@ -43,4 +43,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -125,5 +126,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -156,4 +156,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -237,4 +238,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -314,7 +316,5 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
-  $(SOPHYAINCP)ntupintf.h
+  $(SOPHYAINCP)sophyainit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
  
@@ -351,4 +351,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -442,6 +443,6 @@
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -481,4 +482,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -602,4 +604,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
Index: trunk/SophyaPI/ProgPI/smakefile_wgrdl
===================================================================
--- trunk/SophyaPI/ProgPI/smakefile_wgrdl	(revision 3552)
+++ trunk/SophyaPI/ProgPI/smakefile_wgrdl	(revision 3572)
@@ -294,5 +294,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapp.cc
